#include <bits/stdc++.h>
#define int long long
#define L(i,j,k) for(int (i)=(j);(i)<=(k);(i)++)
#define R(i,j,k) for(int (i)=(j);(i)>=(k);(i)--)
#define me(t,x) memset(t,x,sizeof(t))
#define pb push_back
#define dg if(true)
using namespace std;
const int N=5e5+100,mod=1e9+7;
int n,m,k,rt,a[N],f[N][2][2];
vector<int>g[N];
void dfs(int u,int fa){

  for(int v:g[u]) if(v^fa){
    dfs(v,u);
    f[v];
  }
}void work(){
  cin>>n>>m;
  L(i,1,m){
    int u,v;
    cin>>u>>v;
    g[u].pb(v);
    g[v].pb(u);
  }
  dfs(rt=1,0);
}signed main(){
	freopen("barrack.in","r",stdin);
  freopen("barrack.out","w",stdout);
  ios::sync_with_stdio(false);cin.tie(nullptr);
  srand(time(0));
  cout<<(rand()<<15|rand())<<endl;
  return 0;
}